xlsx-1.1.2.2: Simple and incomplete Excel file parser/writer

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Xlsx.Types.Internal.CommentTable

Synopsis

- newtype CommentTable = CommentTable {
  - _commentsTable :: Map CellRef Comment
  }
- tshow :: Show a => a -> Text
- fromList :: [(CellRef, Comment)] -> CommentTable
- toList :: CommentTable -> [(CellRef, Comment)]
- lookupComment :: CellRef -> CommentTable -> Maybe Comment
- parseComment :: Map Int Text -> Cursor -> [(CellRef, Comment)]
- renderShapes :: CommentTable -> ByteString

# Documentation

newtype CommentTable Source #

Constructors

CommentTable |

Fields

- _commentsTable :: Map CellRef Comment

#### Instances

Instances details

Generic CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Associated Types type Rep CommentTable :: Type -> Type Source # Methods from :: CommentTable -> Rep CommentTable x Source # to :: Rep CommentTable x -> CommentTable Source #
Show CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Methods showsPrec :: Int -> CommentTable -> ShowS Source # show :: CommentTable -> String Source # showList :: [CommentTable] -> ShowS Source #
Eq CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Methods (==) :: CommentTable -> CommentTable -> Bool Source # (/=) :: CommentTable -> CommentTable -> Bool Source #
FromCursor CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Methods fromCursor :: Cursor -> [CommentTable] Source #
ToDocument CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Methods toDocument :: CommentTable -> Document Source #
ToElement CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable Methods toElement :: Name -> CommentTable -> Element Source #
type Rep CommentTable Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CommentTable type Rep CommentTable = D1 ('MetaData "CommentTable" "Codec.Xlsx.Types.Internal.CommentTable" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'True) (C1 ('MetaCons "CommentTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "_commentsTable") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map CellRef Comment))))

tshow :: Show a => a -> Text Source #

fromList :: [(CellRef, Comment)] -> CommentTable Source #

toList :: CommentTable -> [(CellRef, Comment)] Source #

lookupComment :: CellRef -> CommentTable -> Maybe Comment Source #

parseComment :: Map Int Text -> Cursor -> [(CellRef, Comment)] Source #

renderShapes :: CommentTable -> ByteString Source #

helper to render comment baloons vml file, currently uses fixed shape